# Why a design language?
Humans have an innate understanding for common, predictable and repeatable concepts. Our brains are, in fact, hardwired 
to take advantage of such phenomena, which is sometimes taken to great effects in optical illusions for example.

Patterns emerge when concepts and actions, interlinked, construct a predictable outcome. With a common design language, 
we hope to achieve such predictability, and supply an innate understanding of user interaction.

The goal isn't to have one and only design language, but to encourage new interfaces to take similar steps on their 
design processes.

## Predictability and user experience
A good book implies meaning, perhaps through environmental storytelling, or any other thought exercise that assumes
a conscious, and rational reader capable of processing information. Not just present it.
The same is true for a good UI, it shouldn't be explained, there should be an innate understanding.

### User Interface Universal Language
Web technologies as a whole contain a set of constraints for organizing web pages. This implies that all web pages have
a common structural basis.

Users accustomed to surfing the Web know which user interactions are acceptable and which aren't. 
The key puzzle is how users come to know these restrictions of their Web UI.

### Canons of page construction
The aforementioned comparison between books and Web pages isn't just a coincidence, given the resemblance between the
two mediums. From their presentation to fundamental theory, it's only natural to apply core book design ideas to the Web.

 