# What is GNU social

GNU social is a social network platform for communities. It enables you to publish
short notes including URLs and pictures. If you're interested in what someone has
to say you can subscribe them. When you log in to your account you see a timeline
containing all the notes from people, groups and tags you subscribed.
You can have a conversation with another person by replying to each other's notes.

You may have seen this sort of thing before. GNU social is special for three main
reasons:

* **Accessible**: It follows [A11Y](https://www.a11yproject.com/),
[AnyBrowser](https://anybrowser.org/campaign/), and provides a complete [i18n interface
for easy l10n](https://blog.mozilla.org/l10n/2011/12/14/i18n-vs-l10n-whats-the-diff/).
* **Customizable**: Every community running GNU social has the power to provide a
unique experience to its members. 
* **Privacy focused**: GNU social is part of the GNU project, it's 100% free software,
with no malicious features or spyware.

# The Free Network

GNU social allows you to connect to a decentralised network named The Free Network,
part of the IndieWeb. Being decentralised means that there is no single server that
controls The Free Network. Instead, many servers are run by different people around
the world. These servers communicate with each other to form a federation. You can
create an account on any one of them. Although the servers sometimes look different,
ultimately it doesn't matter which one you choose - you're still part of the same
network as everyone else.

If one server suffers an outage it's inconvenient for the people who have an
account on that particular server. The rest of the network continues to operate as
normal. This makes the fediverse highly resilient. Censorship is difficult as servers
can be located anywhere in the world.

Because GNU social is free software it's here to stay. A corporate social network
might disappear or start running advertisements when the venture capital runs out.
The GNU social code is available to everybody and there are many servers where it's
free to create an account (the support tends to be done by means of donations).

This is a social network that does what's best for the people who use it - not what
makes the most money.
